White space before ":" is converted to nonbreaking space unicode char?
Closed, ResolvedPublic

Description

https://en.wikipedia.org/w/index.php?title=Wikipedia:VisualEditor/Feedback&oldid=580632339#Space_between_.22:.22_and_characters_count_increase

Looks like this could potentially be the xhtml serializer converting   to a nonbreaking space unicode char?


Version: unspecified
Severity: normal

bzimport added a project: Parsoid-Serializer.Via ConduitNov 22 2014, 2:16 AM
bzimport set Reference to bz56733.
ssastry created this task.Via LegacyNov 7 2013, 7:05 PM
ssastry added a comment.Via ConduitNov 13 2013, 11:19 PM

This is caused by the template arg escaping code. Fix coming along with test case.

gerritbot added a comment.Via ConduitNov 13 2013, 11:30 PM

Change 95301 had a related patch set uploaded by Subramanya Sastry:
(Bug 56733) Fixed bug serialization template args containing " : "

https://gerrit.wikimedia.org/r/95301

gerritbot added a comment.Via ConduitNov 14 2013, 2:00 AM

Change 95301 merged by jenkins-bot:
(Bug 56733) Fixed bug serialization template args containing " : "

https://gerrit.wikimedia.org/r/95301

gerritbot added a comment.Via ConduitDec 13 2013, 7:53 PM

Change 101259 had a related patch set uploaded by GWicke:
Merge "(Bug 56733) Fixed bug serialization template args containing " : ""

https://gerrit.wikimedia.org/r/101259

gerritbot added a comment.Via ConduitDec 13 2013, 7:54 PM

Change 101292 had a related patch set uploaded by GWicke:
(Bug 56733) Fixed bug serialization template args containing " : "

https://gerrit.wikimedia.org/r/101292

gerritbot added a comment.Via ConduitDec 13 2013, 7:57 PM

Change 101259 merged by GWicke:
Merge "(Bug 56733) Fixed bug serialization template args containing " : ""

https://gerrit.wikimedia.org/r/101259

gerritbot added a comment.Via ConduitDec 13 2013, 7:57 PM

Change 101292 merged by GWicke:
(Bug 56733) Fixed bug serialization template args containing " : "

https://gerrit.wikimedia.org/r/101292

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.